************
* PCDIKRT6 *
************
USE &oplage INDEX &oplage
FIND &cur:prod
@  2,10 SAY "---------------------- OPLAGEGEGEVENS ----------------------"
@  9, 9 SAY "| CODE                    BESTELD     GELEVERD  DD LEVERING |"
@ 10, 9 SAY "+-----------------------------------------------------------+"
STORE 11 TO line
DO WHILE (cur:prod = prod:nr) .AND. .NOT. EOF
   @ line, 9 SAY "|"
   @ line,11 SAY code
   @ line,33 SAY STR(aant:best,9)
   @ line,46 SAY STR(aant:gel,9)
   @ line,59 SAY dat:lev
   @ line,69 SAY "|"
   IF line = 20 
      @ 21, 9 SAY "+-----------------------------------------------------------+"
      STORE "." TO akk
      @ 22,0 SAY "DRUK RETURN VOOR VERVOLG " GET akk
      READ
      CLEAR GETS
      @ 22,0 SAY "                            "
      STORE 11 TO line
      DO WHILE line < 22
         @ line,0
         STORE line + 1 TO line
      ENDDO
      STORE 11 TO line
   ELSE
      STORE line + 1 TO line
   ENDIF
   SKIP +1
ENDDO
IF line > 11
   @ line, 9 SAY "+-----------------------------------------------------------+"
ENDIF
RETURN
*
* EINDE PROGRAMMA
*
